<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Controller\Action;

use Dedi\SyliusVoucherPlugin\Model\VoucherInterface;

final class SearchVoucherCommand
{
    private VoucherInterface $voucher;

    public function getVoucher(): ?VoucherInterface
    {
        return $this->voucher;
    }

    public function setVoucher(?VoucherInterface $voucher): void
    {
        $this->voucher = $voucher;
    }
}
