<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Repository;

use Doctrine\ORM\QueryBuilder;
use Sylius\Component\Core\Repository\OrderRepositoryInterface as BaseOrderRepositoryInterface;

interface OrderRepositoryInterface extends BaseOrderRepositoryInterface
{
    public function createQueryBuilderByVoucher(string $voucherId): QueryBuilder;

    public function createCompletedQueryBuilderByVoucher(string $voucherId): QueryBuilder;
}
