<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusVoucherPlugin\Entity\Order;

use Dedi\SyliusVoucherPlugin\Model\OrderInterface as DediSyliusVoucherPluginOrderInterface;
use Dedi\SyliusVoucherPlugin\Model\OrderTrait as DediSyliusVoucherPluginOrderTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Order as BaseOrder;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_order")
 */
class Order extends BaseOrder implements DediSyliusVoucherPluginOrderInterface
{
    use DediSyliusVoucherPluginOrderTrait {
        DediSyliusVoucherPluginOrderTrait::__construct as private __voucherTraitConstruct;
    }

    public function __construct()
    {
        $this->__voucherTraitConstruct();

        parent::__construct();
    }
}
