<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Model;

use Sylius\Component\Core\Model\ProductInterface as BaseProductInterface;

interface ProductInterface extends BaseProductInterface
{
    /**
     * True if product is a voucher
     */
    public function isVoucher(): bool;

    public function setVoucher(bool $isVoucher): void;
}
