<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Specification;

use Dedi\SyliusVoucherPlugin\Model\OrderInterface;

class IsOrderFullyPaidUsingVoucherSpecification
{
    public function __invoke(OrderInterface $order): bool
    {
        return $order->getTotal() === 0 && $order->hasVouchers();
    }
}
